TLSRPT_INIT_DELIVERY_REQUEST(3)

NAME
tlsrpt_init_delivery_request - allocates and initializes the `struct tlsrpt_dr_t` object

SYNOPSIS

#include <tlsrpt.h>

int tlsrpt_init_delivery_request(struct tlsrpt_dr_t** pdr, struct tlsrpt_connection_t* con, const char* domainname, const char* policyrecord)

DESCRIPTION

The tlsrpt_init_delivery_request function allocates and initializes the struct tlsrpt_dr_t object. The ressources it allocates must be freed by calling either tlsrpt_finish_delivery_request or tlsrpt_cancel_delivery_request.

RETURN VALUE

The tlsrpt_init_delivery_request function returns 0 on success and a combined error code on failure. The combined error code can be analyzed with the tlsrpt_strerror function.

SEE ALSO

tlsrpt_cancel_delivery_request(3), tlsrpt_finish_delivery_request(3), tlsrpt_strerror(3), tlsrpt_error_code_is_internal(3)

AUTHOR(S)

Boris Lohner
    Author(s).